## tor 0.2.1.21-1maemo0

=== debian/changelog ===
tor (0.2.1.21-1maemo0) unstable; urgency=low

  * Disabled building of docs.
  * Decreased libssl-dev build dependency minimal version.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 13 Jan 2010 20:27:19 +0100

tor (0.2.1.21-1) unstable; urgency=low

  * New upstream version.
  * Drop patches/ce0a89e2-work-with-reneg-ssl.dpatch (already in
    upstream).

 -- Peter Palfrader <weasel@debian.org>  Tue, 29 Dec 2009 14:55:32 +0100

tor (0.2.1.20-2) unstable; urgency=low

  * Pick ce0a89e2624471272ffc4950c5069d9b81a7f0b9 from maint-0.2.1 git tree:
    - work with libssl that has renegotiation disabled by default.
    (debian/patches/ce0a89e2-work-with-reneg-ssl.dpatch)
  * Therefore build-depend on libssl-dev >= 0.9.8k-6.  If we build against
    earlier versions we will not work once libssl gets upgraded to a version
    that disabled renegotiations.

 -- Peter Palfrader <weasel@debian.org>  Sat, 14 Nov 2009 15:18:32 +0100

tor (0.2.1.20-1) unstable; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 13 Nov 2009 19:02:47 +0100

tor (0.2.1.19-1) unstable; urgency=low

  * New upstream version.
    - Make accessing hidden services on 0.2.1.x work right (closes: #538960).
    [More items are in the upstream changelog.]

 -- Peter Palfrader <weasel@debian.org>  Wed, 29 Jul 2009 12:49:03 +0200

tor (0.2.1.18-1) unstable; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 25 Jul 2009 11:15:11 +0200

tor (0.2.1.17-rc-1) experimental; urgency=low

  * New upstream version.
  * Update upstream URL in debian/copyright.

 -- Peter Palfrader <weasel@debian.org>  Mon, 13 Jul 2009 23:37:37 +0200

tor (0.2.1.16-rc-1) experimental; urgency=low

  * New upstream version.
  * No longer inform the user if/when we re-create the /var/run/tor
    directory in the init script.  With /var/run on tmpfs this is
    completely normal now so our message was just noise.
  * Stop shipping /var/run/tor in the package.
  * Only clean up permissions of /var/run/tor in postinst if the
    directory actually exists.
  * Update Standards-Version from 3.8.0 to 3.8.1.  No real changes
    required, we already support nocheck in DEB_BUILD_OPTIONS since
    August 2004, and we already create our var/run directory in the
    init script (tho we now no longer ship it either - see above).
  * Change debhelper compatibility version from 4 to 5:
    - Change dh_strip call from --dbg-package=tor
      to --dbg-package=tor-dbg.
    - Update versioned build time dependency on debhelper.
  * Forward port 06_add_compile_time_defaults.

 -- Peter Palfrader <weasel@debian.org>  Sat, 20 Jun 2009 13:16:02 +0200

tor (0.2.1.15-rc-1) experimental; urgency=low

  * New upstream version.
  * Change build time dependency on gs to ghostscript.

 -- Peter Palfrader <weasel@debian.org>  Sat, 30 May 2009 21:10:03 +0200

tor (0.2.1.14-rc-1) experimental; urgency=low

  * New upstream version.
  * Change Section of tor-dbg to debug.

 -- Peter Palfrader <weasel@debian.org>  Thu, 16 Apr 2009 19:54:19 +0200

tor (0.2.1.13-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 15 Mar 2009 00:58:07 +0100

tor (0.2.1.12-alpha-1) experimental; urgency=low

  * New upstream version, fixing several security relevant bugs:
     - Avoid a potential crash on exit nodes when processing malformed
       input.  Remote DoS opportunity (closes: #514579).
     - Fix a temporary DoS vulnerability that could be performed by
       a directory mirror (closes: #514580).
  * patches/06_add_compile_time_defaults: Only set the User option in
    the config if we run as root.  Do not set it when run as debian-tor
    as Tor then always insists on changing users which will fail.  (If
    we run as any other user we don't set our debian defaults anyway.)

 -- Peter Palfrader <weasel@debian.org>  Tue, 10 Feb 2009 00:19:53 +0100

tor (0.2.1.11-alpha-1) experimental; urgency=high

  * New upstream version:
    - Fixes a possible remote heap buffer overflow bug.
    - torify(1) manpage mentions DNS leaks now (closes: #495829).
  * README.Debian: No longer claim we change the default 'Group' setting
    when run as debian-user.  That setting no longer exists.
  * Forward port 03_tor_manpage_in_section_8.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Wed, 21 Jan 2009 01:00:15 +0100

tor (0.2.1.10-alpha-1) experimental; urgency=low

  * New alpha release.
  * Forward port 03_tor_manpage_in_section_8.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Jan 2009 12:06:28 +0100

tor (0.2.1.9-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Fri, 26 Dec 2008 20:51:53 +0100

tor (0.2.1.8-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Mon, 15 Dec 2008 23:00:32 +0100

tor (0.2.1.7-alpha-2) experimental; urgency=low

  * No longer set now obsolete Group setting in built-in debian config.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Nov 2008 16:28:31 +0100

tor (0.2.1.7-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Nov 2008 09:39:30 +0100

tor (0.2.1.6-alpha-1) experimental; urgency=low

  * New alpha release.
  * Forward port 14_fix_geoip_warning.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Tue, 30 Sep 2008 14:37:26 +0200

tor (0.2.1.5-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Tue, 02 Sep 2008 00:18:55 +0200

tor (0.2.1.4-alpha-1) experimental; urgency=low

  * New alpha release.
  * Do not build with openbsd's malloc unless enable-openbsd-malloc is in
    DEB_BUILD_OPTIONS.

 -- Peter Palfrader <weasel@debian.org>  Tue, 05 Aug 2008 12:33:23 +0200

tor (0.2.1.2-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Wed, 16 Jul 2008 13:05:45 +0200


