## tor 0.2.1.21-1maemo1

=== debian/changelog ===
tor (0.2.1.21-1maemo1) unstable; urgency=low

  * Removed adduser dependency.
  * Removed bashism from init script.
  * Fixed postinst to run with busybox xargs limitations.
  * Drop weak key removal section from postinst.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 21:07:02 +0100
