## tor 0.2.1.21-1maemo2

=== debian/changelog ===
tor (0.2.1.21-1maemo2) unstable; urgency=low

  * Optified.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 21:47:29 +0100
