=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: tor
 Architecture: any
-Depends: ${shlibs:Depends}, adduser, tsocks
+Depends: ${shlibs:Depends}, tsocks
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: privoxy | polipo (>= 1), socat, logrotate, tor-geoipdb
 Suggests: mixmaster, mixminion, anon-proxy
