## tor 0.2.1.21-1maemo3

=== debian/changelog ===
tor (0.2.1.21-1maemo3) unstable; urgency=low

  * Removed docs and manpages.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 19 Jan 2010 13:39:15 +0100
