=== debian/rules ===
--- 
+++ 
@@ -122,27 +122,13 @@
 	# move tor to where it belongs
 	mv $(CURDIR)/debian/tor/etc/tor/torrc.sample $(CURDIR)/debian/tor/etc/tor/torrc
 	mv $(CURDIR)/debian/tor/usr/bin/tor $(CURDIR)/debian/tor/usr/sbin/tor
-	install -d $(CURDIR)/debian/tor/usr/share/man/man8
-	mv $(CURDIR)/debian/tor/usr/share/man/man1/tor.1 $(CURDIR)/debian/tor/usr/share/man/man8/tor.8
 
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
-	install -m 644 contrib/torify.1 $(CURDIR)/debian/tor/usr/share/man/man1
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
 
 	install -m 644 debian/tor.lintian-override $(CURDIR)/debian/tor/usr/share/lintian/overrides/tor
 
-	install -d -m 755 $(CURDIR)/debian/tor/usr/share/doc/tor/spec
-	for i in doc/spec/*txt; do \
-		install -m 644 $$i $(CURDIR)/debian/tor/usr/share/doc/tor/spec || exit 1; \
-	done
-
-	dh_link usr/share/man/man8/tor.8 usr/share/man/man5/torrc.5
-
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py
-
-	# tor-dbg doc dir
-	install -d -m 755 $(CURDIR)/debian/tor-dbg/usr/share/doc
-	ln -s tor $(CURDIR)/debian/tor-dbg/usr/share/doc/tor-dbg
 
 	# tor-geoip
 	mv $(CURDIR)/debian/tor/usr/share/tor/geoip $(CURDIR)/debian/tor-geoipdb/usr/share/tor
