## tor 0.2.1.22-1maemo1

=== debian/changelog ===
tor (0.2.1.22-1maemo1) unstable; urgency=low

  * New upstream version.
    - Rotate keys (both v3 identity and relay identity) for moria1
      and gabelmoo.
    - Stop bridge directory authorities from answering dbg-stability.txt
      directory queries. Bugfix on 0.2.1.6-alpha.
  * Fix the maintainer field for modified package.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 23 Jan 2010 18:03:12 +0100
