=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tor
 Section: comm
 Priority: optional
-Maintainer: Peter Palfrader <weasel@debian.org>
+Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
+XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.8g-15), dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
 Standards-Version: 3.8.1
 Homepage: https://www.torproject.org/
