## tor 0.2.1.23-1maemo1

=== debian/changelog ===
tor (0.2.1.23-1maemo1) unstable; urgency=low

  * New upstream version.
  * Fix the maintainer field for modified package.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 26 Feb 2010 20:16:24 +0100
