## tor 0.2.1.25-3maemo1

=== debian/changelog ===
tor (0.2.1.25-3maemo1) unstable; urgency=low

  * New upstream version.
  * Change order of recommends from privoxy | polipo to polipo | privoxy.
  * Minor testsuite bugfixes from Debian

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 23 Apr 2010 14:06:03 +0200
