## tor 0.2.1.26-1maemo1

=== debian/changelog ===
tor (0.2.1.26-1maemo1) unstable; urgency=low

  * New upstream version.
  * Remove debian/patches/15_testuite-thread-fixes (merged upstream).
  * Add ${misc:Depends} for all three binary packages because debhelper
    might want to add stuff.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 04 Jun 2010 11:53:03 +0200
