=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: tor
 Architecture: any
-Depends: ${shlibs:Depends}, tsocks
+Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
 Suggests: mixmaster, mixminion, anon-proxy
@@ -52,7 +52,7 @@
 
 Package: tor-dbg
 Architecture: any
-Depends: tor (= ${binary:Version})
+Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
 Section: debug
@@ -64,7 +64,7 @@
 Package: tor-geoipdb
 Architecture: all
 Priority: extra
-Depends: tor (>= ${source:Version})
+Depends: tor (>= ${source:Version}), ${misc:Depends}
 Description: geoIP database for Tor
  This package provides a geoIP database for Tor, i.e. it maps IPv4 addresses
  to countries.
