## tor 0.2.1.29-1maemo1

=== debian/changelog ===
tor (0.2.1.29-1maemo1) unstable; urgency=high

  * New upstream version.
    - Security related fixes, see upstream changelog for details.
      Adresses CVE-2010-1676, CVE-2011-0427.
    - Add maatuska as eighth v3 directory authority.
  * No longer set ulimit -c to unlimited.
  * Change section from comm to net.
  * Only chown/chgrp /var/{lib,log,run}/tor directly, never recursively
    in the postinst script.
  * Remove /var/run/tor, recursively, on purge.  We already do this
    for /var/lib/tor and /var/log/tor.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 15 Feb 2010 21:39:12 +0100
