=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tor
-Section: comm
+Section: net
 Priority: optional
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
 XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
@@ -8,7 +8,7 @@
 Homepage: https://www.torproject.org/
 
 Package: tor
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
@@ -51,7 +51,7 @@
  http://archives.seul.org/or/announce/.
 
 Package: tor-dbg
-Architecture: any
+Architecture: armel
 Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
@@ -62,7 +62,7 @@
  makes it somewhat easier to interpret core dumps.
 
 Package: tor-geoipdb
-Architecture: all
+Architecture: armel
 Priority: extra
 Depends: tor (>= ${source:Version}), ${misc:Depends}
 Description: geoIP database for Tor
