## tor 0.2.1.30-1maemo1

=== debian/changelog ===
tor (0.2.1.30-1maemo1) unstable; urgency=low

  * New upstream version.
  * The tor specification files are not shipped in the tarball anymore.
    They can be found at <URL:https://gitweb.torproject.org/torspec.git/tree>.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 16 May 2010 09:05:18 +0200
