=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,7 @@
 
 build-stamp:  config.status
 	dh_testdir
+	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 
 	$(MAKE)
 	@echo
@@ -109,6 +110,7 @@
 	rm -f build-stamp
 
 	[ ! -f Makefile ] || $(MAKE) distclean
+	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
 
 	dh_clean
 
@@ -150,7 +152,7 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installinit
-	dh_installman
+	#dh_installman
 	dh_link
 	dh_strip --dbg-package=tor-dbg
 	dh_compress
