## tor 0.2.2.33-1maemo1

=== debian/changelog ===
tor (0.2.2.33-1maemo1) unstable; urgency=low

  * New upstream version, merge from Debian git tree

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 10 Oct 2011 19:25:14 +0200
