=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 
 CFLAGS ?= -Wall -g
 
-LOCALHOST_IP  ?= $(shell getent hosts localhost | awk '{print $$1}')
-
 # Do not optimize the build with "noopt"
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -54,28 +52,31 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-CONF_OPTIONS =
-# build against libdmalloc4 - it better be installed
+# allow building against libdmalloc4 - it better be installed
 ifneq (,$(findstring with-dmalloc,$(DEB_BUILD_OPTIONS)))
-	CONF_OPTIONS += --with-dmalloc
+	confflags += --with-dmalloc
 endif
 # allow building with --enable-openbsd-malloc
 ifneq (,$(findstring enable-openbsd-malloc,$(DEB_BUILD_OPTIONS)))
-	CONF_OPTIONS += --enable-openbsd-malloc
+	confflags += --enable-openbsd-malloc
 endif
+
+export LDFLAGS
+export CFLAGS
+
+MANPAGE_INS=doc/tor.1.in doc/torify.1.in doc/tor-gencert.1.in doc/tor-resolve.1.in
 
 configure: patch-stamp
 config.status: configure
-	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./configure \
+	./configure \
 		$(confflags) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
-		$(CONF_OPTIONS)
+		--disable-asciidoc
 
 
 build: build-stamp
@@ -84,33 +85,35 @@
 	dh_testdir
 	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 
+	# Also touch all the .html files or else the build system will
+	# try to re-create them and fail badly
+	for file in $(MANPAGE_INS); do touch $${file%%.1.in}.html.in || exit 1; done
 	$(MAKE)
 	@echo
 	@echo
 	# Running unit tests
 	@if [ "$(RUN_TEST)" != "no" ]; then \
-		if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then \
-			echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; \
-			echo "src/or/test || true"; \
-			src/or/test || true; \
-		else \
-			echo "src/or/test"; \
-			src/or/test; \
-		fi; \
+		make check; \
 	else \
-		echo -e "\n\nSkipping unittests\n\n"; \
+		echo; echo; echo "Skipping unittests"; echo; \
 	fi
 	@echo
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+	rm -f src/common/common_sha1.i src/or/or_sha1.i
+	rm -f src/or/micro-revision.i
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
+
+	# Normally the .deb wouldn't ship with a ../.git
+	if [ -d .git ] && which git >/dev/null; then \
+		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
+	fi
 
 	dh_clean
 
@@ -152,7 +155,6 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installinit
-	#dh_installman
 	dh_link
 	dh_strip --dbg-package=tor-dbg
 	dh_compress
@@ -170,7 +172,6 @@
 # Build architecture dependant packages using the common target.
 binary-arch: install
 	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
-	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Result of testsuite has been ignored.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-common binary-indep binary-arch binary install
