## tor 0.2.2.34-1maemo1

=== debian/changelog ===
tor (0.2.2.34-1maemo1) unstable; urgency=high

  * New upstream version, fixing a couple of security relevant bugs
    such as guard enumeration (CVE-2011-2768) and bridge enumeration
    (CVE-2011-2769) issues.  For details consult the upstream changelog.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 10 Nov 2011 13:59:58 +0100
