=== debian/watch ===
version=2
http://tor.eff.org/dist/tor-(.*)\.tar\.gz
