## tor 0.2.2.35-1maemo1

=== debian/changelog ===
tor (0.2.2.35-1maemo1) unstable; urgency=high

  * New upstream version, fixing a heap overflow bug related to Tor's
    SOCKS code (CVE-2011-2778).
  * There no longer is a document called INSTALL to copy to
    usr/share/docs/tor, so get rid of the lintian override.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 02 Jan 2012 18:39:12 +0100
