=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 
 Package: tor
 Architecture: armel
-Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
-Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
-Suggests: mixmaster, mixminion, anon-proxy
+Recommends: logrotate, tor-geoipdb, tsocks
+Suggests: mixmaster, socat, tor-arm, polipo (>= 1) | privoxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system which
  addresses many flaws in the original onion routing design.
@@ -47,8 +47,8 @@
  network if you really need strong anonymity.
  .
  The latest information can be found at https://www.torproject.org/, or on the
- mailing lists, archived at http://archives.seul.org/or/talk/ or
- http://archives.seul.org/or/announce/.
+ mailing lists, archived at https://lists.torproject.org/pipermail/tor-talk/ or
+ https://lists.torproject.org/pipermail/tor-announce/.
 
 Package: tor-dbg
 Architecture: armel
