=== debian/rules ===
--- 
+++ 
@@ -131,8 +131,6 @@
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
 
-	install -m 644 debian/tor.lintian-override $(CURDIR)/debian/tor/usr/share/lintian/overrides/tor
-
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py
 
 	# tor-geoip
