## tor 0.2.3.25-1maemo1

=== debian/changelog ===
tor (0.2.3.25-1maemo1) unstable; urgency=high

  * New upstream release.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 09 Dec 2012 12:05:23 +0100
