=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,8 @@
 		--infodir=\$${prefix}/share/info \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
-		--disable-asciidoc
+		--disable-asciidoc \
+		--disable-gcc-hardening
 
 
 build: build-stamp
@@ -130,6 +131,7 @@
 
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
+	install -m 644 debian/tor-service-defaults-torrc $(CURDIR)/debian/tor/usr/share/tor
 
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py
