## tor 0.2.5.10-1~trusty+1+7.0trisquel1

=== debian/changelog ===
tor (0.2.5.10-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Oct 2014 19:23:40 +0200

tor (0.2.5.10-1~trusty+1) trusty-backport; urgency=low

  * Build for trusty-backport.

 -- jenkins role account <jenkins@burlewii.torproject.org>  Fri, 24 Oct 2014 14:08:55 +0000

tor (0.2.5.10-1) unstable; urgency=medium

  * New upstream version.
  * Use "service tor reload", guarded by "service tor status" in logrotate
    instead as suggested by Dirk Griesbach (closes: #765407).

 -- Peter Palfrader <weasel@debian.org>  Fri, 24 Oct 2014 16:05:28 +0200

tor (0.2.5.9-rc-1) unstable; urgency=medium

  * New upstream version.
    - Disabled SSLv3 unconditionally.  As a by-product, this means
      that we no longer die in SSLv3 cleanup code in what is likely
      an openssl bug introduced in 1.0.1j (closes: 765968).
  * logrotate script: call invoke-rc.d tor reload instead of
    /etc/init.d/tor reload.  This way, if tor is properly disabled, we will
    not try to reload tor. (closes: #765407).

 -- Peter Palfrader <weasel@debian.org>  Mon, 20 Oct 2014 21:01:01 +0200

tor (0.2.5.8-rc-1) unstable; urgency=medium

  * New upstream version.  Upload to unstable.

 -- Peter Palfrader <weasel@debian.org>  Tue, 23 Sep 2014 11:06:10 +0200

tor (0.2.5.7-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 12 Sep 2014 16:56:10 +0200

tor (0.2.5.6-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 28 Jul 2014 22:41:37 +0200

tor (0.2.5.5-alpha-1) experimental; urgency=low

  * New upstream version.
  * upstream contrib/ directory cleanup, requires adapting paths in
    tor.docs and tor.install:
    - torify moved to contrib/client-tools/
    - tor-exit-notice.html moved to contrib/operator-tools/
  * Restrict build dependency on libseccomp-dev to amd64 and i386 only.
    Build-Conflict with it on the other archs.

 -- Peter Palfrader <weasel@debian.org>  Thu, 19 Jun 2014 08:06:11 +0200

tor (0.2.5.4-alpha-1) experimental; urgency=low

  * New upstream version.
  * Build depend on libseccomp-dev.

 -- Peter Palfrader <weasel@debian.org>  Sat, 26 Apr 2014 09:01:00 +0200

tor (0.2.5.3-alpha-1) experimental; urgency=low

  * New upstream version.
  * Add obfsproxy to suggests.
  * Apparmor policy: Allow executing /usr/bin/obfsproxy - thanks to
    intrigeri for the patch (closes: #739279).

 -- Peter Palfrader <weasel@debian.org>  Sun, 23 Mar 2014 07:39:17 +0100

tor (0.2.5.2-alpha-1) experimental; urgency=low

  * New upstream version.
  * From 0.2.4.20-1:
    + init script: make /var/log/tor if it does not exist anymore
      (closes: #732572).

 -- Peter Palfrader <weasel@debian.org>  Thu, 13 Feb 2014 23:44:03 +0100

tor (0.2.5.1-alpha-1) experimental; urgency=low

  * New upstream tree, new upstream version.
  * Current alpha no longer /builds/ contrib/torify, it just ships it.
    Adapt debian/tor.install to get it from contrib/torify instead of
    build/contrib/torify.

 -- Peter Palfrader <weasel@debian.org>  Tue, 01 Oct 2013 20:28:59 +0200

tor (0.2.4.17-rc-2) UNRELEASED; urgency=low

  * Re-add a few 'exit 1' statements on errors that got lost while
    updating the init script to fancy LSB style output (closes: #722153).
  * Mention the DisableDebuggerAttachment setting next to the ulimit -c
    line in /etc/default/tor (closes: #723801).

 -- Peter Palfrader <weasel@debian.org>  Sun, 08 Sep 2013 16:49:04 +0200

tor (0.2.4.17-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 05 Sep 2013 15:00:08 +0200

tor (0.2.4.16-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Aug 2013 00:31:17 +0200

tor (0.2.4.15-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 03 Jul 2013 20:58:53 +0200

tor (0.2.4.14-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 18 Jun 2013 22:21:36 +0200

tor (0.2.4.13-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 17 Jun 2013 12:18:16 +0200

tor (0.2.4.12-alpha-2) experimental; urgency=low

  * No longer change tor manpage to be in section 8.
  * No longer move tor from usr/bin to /usr/sbin after make install.
    We now install tor into the same place as upstream.  Having it in
    the default user path makes it easier for users who want to run
    tor themselves.
  * Install a compatibility symlink in /usr/sbin.
  * Change relation form from (< version) to (<< version) in the tor-geoip
    package.
  * Update debian/watch file.
  * Clean up old /etc/tor/tor-tsocks.conf conffile (closes: #705785).
    This requires debhelper >= 8.1.0~, adapt build-dependency accordingly.

 -- Peter Palfrader <weasel@debian.org>  Wed, 08 May 2013 18:03:36 +0200

tor (0.2.4.12-alpha-1) experimental; urgency=low

  * New upstream version.
  * Forward port 03_tor_manpage_in_section_8.dpatch: torify.1 no longer
    references tsocks.
  * No longer install contrib/tor-tsocks.conf - it was dropped upstream.
  * Update year in debian/copyright.

 -- Peter Palfrader <weasel@debian.org>  Thu, 18 Apr 2013 16:04:29 +0200

tor (0.2.4.11-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Mar 2013 22:46:51 +0100

tor (0.2.4.10-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 05 Feb 2013 00:08:36 +0100

tor (0.2.4.9-alpha-1) experimental; urgency=low

  * New upstream version.
  * Build-Conflict with libnacl-dev so that we don't pull it in accidentally.
    For now Tor doesn't manage to use it on at least amd64 anyway, but that

