=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: tor
 Section: net
 Priority: optional
-Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
-XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 5), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
-Standards-Version: 3.8.1
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: debhelper (>= 8.1.0~), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7), hardening-includes, asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386]
+Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
+Standards-Version: 3.9.4
 Homepage: https://www.torproject.org/
+Vcs-Git: https://git.torproject.org/debian/tor.git
+Vcs-Browser: https://gitweb.torproject.org/debian/tor.git
 
 Package: tor
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}, adduser, ${misc:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: logrotate, tor-geoipdb, torsocks
-Suggests: mixmaster, socat, tor-arm, polipo (>= 1) | privoxy
+Suggests: mixmaster, xul-ext-torbutton, socat, tor-arm, polipo (>= 1) | privoxy, apparmor-utils, tor-arm, obfsproxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system.
  .
@@ -45,7 +48,7 @@
  a variety of privacy bugs.
 
 Package: tor-dbg
-Architecture: armel
+Architecture: any
 Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
@@ -56,9 +59,11 @@
  makes it somewhat easier to interpret core dumps.
 
 Package: tor-geoipdb
-Architecture: armel
+Architecture: all
 Priority: extra
 Depends: tor (>= ${source:Version}), ${misc:Depends}
+Replaces: tor (<< 0.2.4.8)
+Breaks: tor (<< 0.2.4.8)
 Description: GeoIP database for Tor
  This package provides a GeoIP database for Tor, i.e. it maps IPv4 addresses
  to countries.
